[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Cluster-devel] cluster/fence/agents/manual fence_ack_manual.sh



CVSROOT:	/cvs/cluster
Module name:	cluster
Changes by:	lhh sourceware org	2007-01-22 23:16:12

Added files:
	fence/agents/manual: fence_ack_manual.sh 

Log message:
	Simple manual override for fenced & example replacement for fence_ack_manual

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/manual/fence_ack_manual.sh.diff?cvsroot=cluster&r1=NONE&r2=1.1

/cvs/cluster/cluster/fence/agents/manual/fence_ack_manual.sh,v  -->  standard output
revision 1.1
--- cluster/fence/agents/manual/fence_ack_manual.sh
+++ -	2007-01-22 23:16:13.148120000 +0000
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+if [ -z "$1" ]; then
+	echo "usage: $0 <nodename>"
+	exit 1
+fi
+
+declare answer
+
+echo "About to override fencing for $1."
+echo "Improper use of this command can cause severe file system damage."
+echo
+read -p "Continue [NO/absolutely]? " answer
+
+if [ "$answer" != "absolutely" ]; then
+	echo "Aborted."
+	exit 1
+fi
+
+while ! [ -e /var/run/cluster/fenced_override ]; do
+	sleep 1
+done
+
+echo $1>/var/run/cluster/fenced_override
+echo Done


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]